MakeMCBarrierEngine< RNG, S > Class Template Reference

Monte Carlo barrier-option engine factory. More...

`#include <ql/pricingengines/barrier/mcbarrierengine.hpp>`

## Public Member Functions

| MakeMCBarrierEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
MakeMCBarrierEngine & | withSteps (Size steps)
MakeMCBarrierEngine & | withStepsPerYear (Size steps)
MakeMCBarrierEngine & | withBrownianBridge (bool b=true)
MakeMCBarrierEngine & | withAntitheticVariate (bool b=true)
MakeMCBarrierEngine & | withSamples (Size samples)
MakeMCBarrierEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCBarrierEngine & | withMaxSamples (Size samples)
MakeMCBarrierEngine & | withBias (bool b=true)
MakeMCBarrierEngine & | withSeed (BigNatural seed)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCBarrierEngine< RNG, S >

Monte Carlo barrier-option engine factory.